Package org.apache.qpid.proton.engine

# Enum TransportResult.Status

java.lang.Object
java.lang.Enum<TransportResult.Status>
org.apache.qpid.proton.engine.TransportResult.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<TransportResult.Status>`

Enclosing interface:
  TransportResult

public static enum TransportResult.Status extends Enum<TransportResult.Status>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`OK`

## Method Summary

Modifier and Type
Method
Description
`static TransportResult.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TransportResult.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OK

public static final TransportResult.Status OK

### ERROR

public static final TransportResult.Status ERROR

## Method Details

### values

public static TransportResult.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TransportResult.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null